<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .subdiv
        {
            padding: 20px 20px 20px 20px;
            /* margin:"25px"; */
            background-color:#e4e4e1;
            border: 5px slid rgb(1, 1, 17);
            /* width:auto;
            height:auto; */
            font-family: cursive ;
            font-size: 15px;
        } 
        #icons1
        {
            padding:4px 5px 0px 0px;
            opacity: 0.5;
            float:right;
            /* color: rgb(14, 13, 13); */
        }
        #icons2
        {
            padding:2px 5px 0px 0px;
            opacity: 0.5;
            float:right;
            /* color: white; */
        }
    </style>
</head>
<body>
    <script>
    let ids=new URLSearchParams(window.location.search)
    let xhr = new XMLHttpRequest();
    xhr.open('get', 'https://jsonplaceholder.typicode.com/posts?userId='+ids.get('id'));
    xhr.responseType="json"
    xhr.send();
    xhr.onload = function()
    {
        console.log(xhr.response);
        post=xhr.response;
        main(post);
        function main(post)
        {
            //main divisoin
            var main_div = document.createElement('div');
            main_div.id="main_id";
            for(i=0 ; i<post.length ; i++)
            {
                function card()
                {
                    //sub division
                    var sub_div = document.createElement('div');
                    sub_div.style.margin="30px";
                    sub_div.className="subdiv";

                    //input checkbox
                    let input=document.createElement('input');
                    input.type="checkbox";
                    input.setAttribute("id" ,'ch'+i);
                    sub_div.appendChild(input);

                    //edit 
                    let edit=document.createElement('i');
                    edit.setAttribute('class','fa fa-edit');
                    edit.id="icons1";
                    sub_div.appendChild(edit);

                    //trash
                    var trash=document.createElement('i');
                    trash.setAttribute('class','fa fa-trash');
                    trash.id="icons2";
                    sub_div.appendChild(trash);
                    trash.onclick=()=>
                    {
                        var con=confirm("do u want to delete!");
                        if(con==true)
                        {
                            index();
                        }
                        else
                        {
                            alert("deletion cancelled");
                        }
                    }
            
                    //label
                    let label=document.createElement('label');
                    label.setAttribute('for','ch'+i);

                    //title division
                    var title_div=document.createElement('div');
                    ptitle=document.createTextNode(post[i].title);
                    title=document.createTextNode("TITLE : " );
                    title_div.appendChild(title);
                    title_div.appendChild(ptitle);
                    sub_div.appendChild(title_div);

                    //body division
                    var body_div=document.createElement('div');
                    pbody=document.createTextNode(post[i].body);
                    body=document.createTextNode("BODY : ");
                    body_div.appendChild(body);
                    body_div.appendChild(pbody);
                    sub_div.appendChild(body_div);

                    //comment division
                    var comment_div=document.createElement('div');
                    var br=document.createElement('br');
                    comment_div.appendChild(br);

                    //comments onload
                    let xhs = new XMLHttpRequest();
                    xhs.open('get', 'https://jsonplaceholder.typicode.com/comments?postId='+post[i].id);
                    xhs.responseType="json"
                    xhs.send();
                    xhs.onload = function()
                    {               
                        comment=xhs.response;

                        //heading
                        cmt=document.createTextNode("Comments --");
                        comment_div.appendChild(cmt);
                        // var br=document.createElement('br');
                        // comment_div.appendChild(br); 
                        for(j=0 ; j<3 ; j++)
                        {

                            //comment1
                            var cmt1_div=document.createElement('div');
                            cn=document.createTextNode("Name : ");
                            cmt1_div.appendChild(cn);
                            cmt1_div.appendChild(document.createTextNode(comment[j].name)); 
                            comment_div.appendChild(cmt1_div);

                            //comment2
                            var cmt2_div=document.createElement('div');
                            ce=document.createTextNode("Email : ");
                            cmt2_div.appendChild(ce)
                            cmt2_div.appendChild(document.createTextNode(comment[j].email));
                            comment_div.appendChild(cmt2_div);
                            
                            //comment3
                            var cmt3_div=document.createElement('div');
                            cb=document.createTextNode("Body : ");
                            cmt3_div.appendChild(cb);
                            cmt3_div.appendChild(document.createTextNode(comment[j].body));
                            comment_div.appendChild(cmt3_div);
                            
                            sub_div.appendChild(comment_div);
                            if(j<2)
                            {
                                var br=document.createElement('br');
                                comment_div.appendChild(br);
                            }
                        }//j loop
                        
                    }
                    label.appendChild(sub_div);
                    main_div.appendChild(label);
                }//card
                card();
            }//i loop
            document.body.appendChild(main_div);
        }//main end

        //indexing
        function index()
        {
            arr=[];
            ind=0;
            for(l=0;l<post.length;l++)
            {
                if(document.getElementById('ch'+l).checked)
                {
                    arr[ind]=l;
                    ind++;
                }
            }
            delete_post(arr);
        }

        //delete post
        function delete_post(arr)
        {
            z=0;
            for(f=0;f<arr.length;f++)
            {
                post.splice(arr[f-z],1);
                console.log(post);
                z++;
            }
            document.getElementById("main_id").remove();
            main(post);
        }
        
    }
    </script>
</body>
</html>